### Class

# Atk Util

#### Description [src]

    class Atk.Util : GObject.Object
    {
      /* No available fields */
    }

A set of ATK utility functions for event and toolkit support.

A set of ATK utility functions which are used to support event registration of various types, and obtaining the ‘root’ accessible of a process and information about the current ATK implementation and toolkit version.

#### Ancestors

- GObject

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtkUtilClass {
      GObjectClass parent;
      guint (* add_global_event_listener) (
        GSignalEmissionHook listener,
        const gchar* event_type
      );
      void (* remove_global_event_listener) (
        guint listener_id
      );
      guint (* add_key_event_listener) (
        AtkKeySnoopFunc listener,
        gpointer data
      );
      void (* remove_key_event_listener) (
        guint listener_id
      );
      AtkObject* (* get_root) (
    void
      );
      const gchar* (* get_toolkit_name) (
    void
      );
      const gchar* (* get_toolkit_version) (
    void
      );

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.

`add_global_event_listener: guint (* add_global_event_listener) ( GSignalEmissionHook listener, const gchar* event_type )`

  Adds the specified function to the list of functions to be called when an ATK event occurs. ATK implementors are discouraged from reimplementing this method.

`remove_global_event_listener: void (* remove_global_event_listener) ( guint listener_id )`

  Removes the specified function to the list of functions to be called when an ATK event occurs. ATK implementors are discouraged from reimplementing this method.

`add_key_event_listener: guint (* add_key_event_listener) ( AtkKeySnoopFunc listener, gpointer data )`

  Adds the specified function to the list of functions to be called when a key event occurs.

`remove_key_event_listener: void (* remove_key_event_listener) ( guint listener_id )`

  Remove the specified function to the list of functions to be called when a key event occurs.

`get_root: AtkObject* (* get_root) ( void )`

  Gets the root accessible container for the current application.

`get_toolkit_name: const gchar* (* get_toolkit_name) ( void )`

  Gets name string for the GUI toolkit implementing ATK for this application.

`get_toolkit_version: const gchar* (* get_toolkit_version) ( void )`

  Gets version string for the GUI toolkit implementing ATK for this application.